当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 3 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 安装awesome出现问题。
帖子发表于 : 2009-08-09 13:25 
头像

注册: 2009-07-05 20:29
帖子: 130
送出感谢: 0 次
接收感谢: 0 次
8.04。用apt-get install xcb装上的xcb版本是2.4(注意,是2.4不是1.4)。但编译xcb-util的时候出了点问题。引用终端的话说……

引用:
checking for XCB... configure: error: Package requirements (xcb >= 1.4) were not met:

Requested 'xcb >= 1.4' but version of XCB is 1.1

Consider adjusting the PKG_CONFIG_PATH environment variable if you installed software in a non-standard prefix.

Alternatively, you may set the environment variables XCB_CFLAGS and XCB_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.


编译方法参照了http://wiki.ubuntu.org.cn/Awesome。卡在./autogen.sh一步。


_________________
=== 猛击此处进入伦家的blog ===
在下是一个低调的Gentoo党。


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 安装awesome出现问题。
帖子发表于 : 2009-10-08 10:42 

注册: 2009-08-04 8:47
帖子: 11
送出感谢: 0 次
接收感谢: 0 次
不过 libxcb 开头的很多库都是 1.1.93 的,是不是这个原因呢?

我用 Ubuntu 9.04,发现要安装 Awesome 还真不容易

编译
awesome
提示
-- package 'xcb-xtest' not found
-- package 'xcb-event>=0.3.6' not found
-- package 'xcb-aux>=0.3.0' not found
-- package 'xcb-atom>=0.3.0' not found
-- package 'xcb-keysyms>=0.3.4' not found
-- package 'xcb-icccm>=0.3.6' not found
-- package 'xcb-image>=0.3.0' not found
-- package 'xcb-property>=0.3.0' not found
-- package 'libstartup-notification-1.0>=0.10' not found
-- package 'xproto>=7.0.15' not found
-- package 'libxdg-basedir>=1.0.0' not found

libxcb-1.4 需要什么 xcb-proto 1.5 以上
安装完 xcb-proto 1.5,make INSTALL libxcb-1.4,却提示“没有什么可以做的”


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 安装awesome出现问题。
帖子发表于 : 2009-10-08 11:48 
头像

注册: 2009-07-05 20:29
帖子: 130
送出感谢: 0 次
接收感谢: 0 次
这直接导致了我换用Arch…… :em05


_________________
=== 猛击此处进入伦家的blog ===
在下是一个低调的Gentoo党。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 3 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译